<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC
@author: juan.agudelo

    Pantalla que muestra los solicitantes para edición
    caso de uso CU-NP-CO-026 Consultar Detalle Trámite de Conservación
    
    parámetros de entrada:
    -selectedSolicitante: Objeto de tipo Solicitante
    -managedBeanParam: 	Nombre del ManagedBean del que se obtendran los parametros
   
-->
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        id="solicitanteEditarForm">

    <p:messages id="msgsES" showDetail="false" globalOnly="false" />

    <h:panelGrid id="solicitanteEditarP" columns="1" cellspacing="5">

        <p:fieldset id="fInicial1"
                    style="border: 0px">

            <h:panelGrid columns="2">
                <h:outputLabel value="Tipo de persona: "
                               styleClass="outputLabelStyle" />

                <h:selectOneRadio value="#{selectedSolicitante.tipoPersona}">
                    <f:selectItem itemLabel="Natural" itemValue="0" />
                    <f:selectItem itemLabel="Jurídica" itemValue="1" />
                    <p:ajax update="msgsES, solicitanteEditarForm"
                            listener="#{managedBeanParam.tipoPersona}" />
                </h:selectOneRadio>
            </h:panelGrid>
            <p:separator />
            <h:panelGrid columns="3">
                <h:panelGrid columns="2">
                    <h:panelGrid columns="2">
                        <h:outputLabel value="Tipo de identificación: "
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                    </h:panelGrid>
                    <h:panelGrid columns="2">
                        <h:selectOneMenu id="tipoIdentificacion"
                                         label="Tipo de identificación"
                                         value="#{selectedSolicitante.tipoIdentificacion}" required="true">
                            <f:selectItems value="#{managedBeanParam.tipoIdentificacion}" />
                        </h:selectOneMenu>
                        <p:message for="tipoIdentificacion" display="icon"></p:message>
                    </h:panelGrid>
                </h:panelGrid>
                <h:panelGrid columns="2">
                    <h:panelGrid columns="2">
                        <h:outputLabel value="Número identificación: "
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                    </h:panelGrid>
                    <h:panelGrid columns="2">
                        <h:inputText id="numeroIdentificacion"
                                     value="#{selectedSolicitante.numeroIdentificacion}"
                                     required="true" label="Número identificación" />
                        <p:message for="numeroIdentificacion" display="icon"></p:message>
                    </h:panelGrid>
                </h:panelGrid>
                <h:panelGrid columns="2">
                    <h:panelGrid columns="2">
                        <h:outputLabel value="DV" styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                    </h:panelGrid>
                    <h:panelGrid columns="2">
                        <h:inputText id="dv"
                                     value="#{selectedSolicitante.digitoVerificacion}" required="true"
                                     size="2" label="DV" />
                        <p:message for="dv" display="icon"></p:message>
                    </h:panelGrid>
                </h:panelGrid>
            </h:panelGrid>

            <p:fieldset id="b1" rendered="#{managedBeanParam.tipoPersonaNatural}"
                        style="border:0px">

                <f:facet name="header">
                    Persona natural </f:facet>
                <p:fieldset>
                    <h:panelGrid columns="2" id="bloqueoI">

                        <h:panelGrid columns="3">
                            <h:panelGrid columns="2">
                                <h:outputLabel value="Primer apellido: "
                                               styleClass="outputLabelStyle" />
                                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                            </h:panelGrid>
                            <p:spacer height="0" width="30" />
                            <h:panelGrid columns="2">
                                <h:inputText id="primerApellido"
                                             value="#{selectedSolicitante.primerApellido}" required="true"
                                             label="Primer apellido" />
                                <p:message for="primerApellido" display="icon"></p:message>
                            </h:panelGrid>
                        </h:panelGrid>
                        <h:panelGrid columns="3">
                            <h:panelGrid columns="2">
                                <h:outputLabel value="Segundo apellido: "
                                               styleClass="outputLabelStyle" />
                                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                            </h:panelGrid>
                            <p:spacer height="0" width="23" />
                            <h:panelGrid columns="2">
                                <h:inputText id="segundoApellido"
                                             value="#{selectedSolicitante.segundoApellido}" required="true"
                                             label="Segundo apellido" />
                                <p:message for="segundoApellido" display="icon"></p:message>
                            </h:panelGrid>
                        </h:panelGrid>

                        <h:panelGrid columns="3">
                            <h:panelGrid columns="2">
                                <h:outputLabel value="Primer nombre: "
                                               styleClass="outputLabelStyle" />
                                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                            </h:panelGrid>
                            <p:spacer height="0" width="30" />
                            <h:panelGrid columns="2">
                                <h:inputText id="primerNombre"
                                             value="#{selectedSolicitante.primerNombre}" required="true"
                                             label="Primer nombre" />
                                <p:message for="primerNombre" display="icon"></p:message>
                            </h:panelGrid>
                        </h:panelGrid>
                        <h:panelGrid columns="3">
                            <h:panelGrid columns="2">
                                <h:outputLabel value="Segundo nombre: "
                                               styleClass="outputLabelStyle" />

                            </h:panelGrid>
                            <p:spacer height="0" width="24" />
                            <h:panelGrid columns="2">
                                <p:spacer height="0" width="5" />
                                <h:inputText id="segundoNombre"
                                             value="#{selectedSolicitante.segundoNombre}"
                                             label="Segundo nombre" />

                            </h:panelGrid>
                        </h:panelGrid>

                    </h:panelGrid>
                </p:fieldset>
            </p:fieldset>

            <p:spacer width="0" height="13" />

            <p:fieldset id="b01"
                        rendered="#{!managedBeanParam.tipoPersonaNatural}"
                        style="border:0px">

                <f:facet name="header">
                    Persona Juridica </f:facet>

                <h:panelGrid columns="4">
                    <h:panelGrid columns="2">
                        <h:panelGrid columns="2">
                            <h:outputLabel value="Razón social: "
                                           styleClass="outputLabelStyle" />
                            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        </h:panelGrid>
                        <h:panelGrid columns="2">
                            <h:inputText id="razonSocial"
                                         value="#{selectedSolicitante.razonSocial}" required="true"
                                         size="40" label="Razón social" />
                            <p:message for="razonSocial" display="icon"></p:message>
                        </h:panelGrid>
                    </h:panelGrid>

                    <h:outputLabel value="Sigla: " styleClass="outputLabelStyle" />
                    <h:inputText id="sigla" value="#{selectedSolicitante.sigla}"
                                 label="Sigla" />

                    <h:panelGrid columns="2">
                        <h:panelGrid columns="2">
                            <h:outputLabel value="Dirección: " styleClass="outputLabelStyle" />
                            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        </h:panelGrid>
                        <h:panelGrid columns="2">
                            <h:inputText id="direccion"
                                         value="#{selectedSolicitante.direccion}" required="true"
                                         size="40" label="Direccioón" />
                            <p:message for="direccion" display="icon"></p:message>
                        </h:panelGrid>
                    </h:panelGrid>

                    <h:panelGrid columns="2">
                        <h:panelGrid columns="2">
                            <h:outputLabel value="Teléfono: " styleClass="outputLabelStyle" />
                            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        </h:panelGrid>
                        <h:panelGrid columns="2">
                            <h:inputText id="telefonoPrincipal"
                                         value="#{selectedSolicitante.telefonoPrincipal}" required="true"
                                         size="40" label="Direccioón" />
                            <p:message for="telefonoPrincipal" display="icon"></p:message>
                        </h:panelGrid>
                    </h:panelGrid>

                    <h:panelGrid columns="2">
                        <h:panelGrid columns="2">
                            <h:outputLabel value="Correo electronico: "
                                           styleClass="outputLabelStyle" />
                            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        </h:panelGrid>
                        <h:panelGrid columns="2">
                            <h:inputText id="correoElectronico"
                                         value="#{selectedSolicitante.correoElectronico}" required="true"
                                         size="40" label="Correo electronico" />
                            <p:message for="correoElectronico" display="icon"></p:message>
                        </h:panelGrid>
                    </h:panelGrid>



                    <h:panelGroup>
                        <h:outputLabel value="País: " for="pais"
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="" styleClass="requiredLabelStyle" />
                    </h:panelGroup>
                    <h:panelGrid columns="3">
                        <h:selectOneMenu id="pais" required="false"
                                         value="#{managedBeanParam.paisSolicitante}">
                            <f:selectItems value="#{managedBeanParam.paises}"></f:selectItems>
                            <p:ajax event="change" immediate="true" update="departamento"></p:ajax>
                        </h:selectOneMenu>
                        <p:commandLink update="btnOrdenPaises, pais" title="Orden"
                                       action="#{managedBeanParam.cambiarOrdenPaises}" ajax="true"
                                       immediate="true" id="btnOrdenPaises">
                            <p:graphicImage
                                rendered="#{managedBeanParam.ordenPaises eq 'NOMBRE'}"
                                value="/images/sortCode.png" />
                            <p:graphicImage
                                rendered="#{managedBeanParam.ordenPaises eq 'CODIGO'}"
                                value="/images/sortText.png" />
                        </p:commandLink>
                    </h:panelGrid>
                    <p:message for="pais" display="icon"></p:message>


                    <h:panelGroup>
                        <h:outputLabel value="Departamento:" for="departamento"
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="" styleClass="requiredLabelStyle" />
                    </h:panelGroup>
                    <h:panelGrid columns="3">
                        <h:selectOneMenu id="departamento" label="Departamento"
                                         value="#{managedBeanParam.departamentoSolicitante}"
                                         required="false">
                            <f:selectItems value="#{managedBeanParam.departamentos}"></f:selectItems>
                            <p:ajax event="change" immediate="true" update="municipio"></p:ajax>
                        </h:selectOneMenu>
                        <p:message for="departamento" display="icon"></p:message>
                        <p:commandLink update="btnOrdenDepartamentosSolsEditar, departamento"
                                       title="Orden"
                                       action="#{managedBeanParam.cambiarOrdenDepartamentos}"
                                       id="btnOrdenDepartamentosSolsEditar" ajax="true" immediate="true">
                            <p:graphicImage
                                rendered="#{managedBeanParam.ordenDepartamentos eq 'NOMBRE'}"
                                value="/images/sortCode.png" />
                            <p:graphicImage
                                rendered="#{managedBeanParam.ordenDepartamentos eq 'CODIGO'}"
                                value="/images/sortText.png" />
                        </p:commandLink>
                    </h:panelGrid>
                    <p:message for="departamento" display="icon"></p:message>

                    <h:panelGroup>
                        <h:outputLabel value="Municipio: " for="municipio"
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="" styleClass="requiredLabelStyle" />
                    </h:panelGroup>
                    <h:panelGrid columns="3">
                        <h:selectOneMenu id="municipio"
                                         value="#{managedBeanParam.municipioSolicitante}">
                            <f:selectItems value="#{managedBeanParam.municipios}"></f:selectItems>
                        </h:selectOneMenu>
                        <p:commandLink update="btnOrdenMunicipiosSolsEditar, municipio"
                                       title="Orden" action="#{managedBeanParam.cambiarOrdenMunicipios}"
                                       id="btnOrdenMunicipiosSolsEditar" ajax="true" immediate="true">
                            <p:graphicImage
                                rendered="#{managedBeanParam.ordenMunicipios eq 'NOMBRE'}"
                                value="/images/sortCode.png" />
                            <p:graphicImage
                                rendered="#{managedBeanParam.ordenMunicipios eq 'CODIGO'}"
                                value="/images/sortText.png" />
                        </p:commandLink>
                    </h:panelGrid>
                    <p:message for="municipio" display="icon"></p:message>


                </h:panelGrid>
            </p:fieldset>
        </p:fieldset>
    </h:panelGrid>
</h:form>

